Skip to main content
GET
/
api
/
message
/
get-query-messages
Buscar Mensajes
curl --request GET \
  --url https://api.plazbot.com/api/message/get-query-messages \
  --header 'Authorization: Bearer <token>' \
  --header 'x-workspace-id: <x-workspace-id>'
{
  "success": true,
  "code": 123,
  "errorCode": "<string>",
  "message": "<string>",
  "data": [
    {
      "id": "<string>",
      "messageWhatsappId": "<string>",
      "contactId": "<string>",
      "content": "<string>",
      "workspaceId": "<string>",
      "recipientPhone": "<string>",
      "externalReferenceId": "<string>",
      "platformId": "<string>",
      "answerAgentId": "<string>",
      "answerType": "<string>",
      "type": "<string>",
      "from": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "conversationId": "<string>",
      "platformType": "<string>",
      "files": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.plazbot.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login

Headers

x-workspace-id
string
required

Identificador del workspace

Query Parameters

query
string
required

Texto a buscar en los mensajes

workspaceId
string
required

Identificador del workspace

contactId
string

ID del contacto para filtrar la busqueda

Response

Resultados de busqueda obtenidos exitosamente

success
boolean
required

Indica si la operacion fue exitosa

code
integer
required

Codigo HTTP de la respuesta

errorCode
string | null
required

Codigo de error, null si no hay error

message
string
required

Mensaje descriptivo del resultado

data
object[]
required